Stream Operation Events
get
/v1/operations/{operation_id}/streamPart of Operations.
Server-Sent Events stream for real-time operation progress. Use from_sequence to replay missed events on reconnect. Max 5 concurrent SSE connections per user. Consumes no credits.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
operation_idrequired | string | Operation identifier from initial submission |
Query parameters
| Name | Type | Description |
|---|---|---|
from_sequenceoptional | integer | Start streaming from this sequence number (0 = from beginning) Default: |
tokenoptional | string | JWT token for SSE authentication |
Header parameters
| Name | Type | Description |
|---|---|---|
authorizationoptional | string | Authorization |
Example request
curl
curl -X GET "https://api.robosystems.ai/v1/operations/{operation_id}/stream" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY" \
-H "authorization: <authorization>"Responses
200 SSE stream — Content-Type: text/event-stream
Response
"string"| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |